from qgis.core import QgsProcessingAlgorithm

class FactorSentinel2(QgsProcessingAlgorithm):

    def name(self):
        return "factor_sentinel2"

    def displayName(self):
        return "Factor de escala Sentinel2"

    def group(self):
        return "Geomaticape"

    def groupId(self):
        return "geomaticape"

    def createInstance(self):
        return FactorSentinel2()

    def initAlgorithm(self, config=None):
        pass

    def processAlgorithm(self, parameters, context, feedback):
        return {}

    def run(self):
        from qgis import processing
        processing.execAlgorithmDialog(self.id())
